Upgrading 0.18.6 to 0.19.2


(newsgroup@syslog.com) #1

So, I downloaded the new version, but when I put the new files in
place, the version still shows as 0.18.6.

I tried completely deleting the elasticsearch directory, including all
data and config files, and putting new ones in place, and it still
shows 0.18.6.

What am I missing here?


(Shay Banon) #2

You are running the wrong version, nothing magical here. Its either you are
still running from a 0.18 installation, you you did not download 0.19?

On Tue, Apr 17, 2012 at 12:42 AM, newsgroup@syslog.com <newsgroup@syslog.com

wrote:

So, I downloaded the new version, but when I put the new files in
place, the version still shows as 0.18.6.

I tried completely deleting the elasticsearch directory, including all
data and config files, and putting new ones in place, and it still
shows 0.18.6.

What am I missing here?


(newsgroup@syslog.com) #3

On Apr 17, 9:06 am, Shay Banon kim...@gmail.com wrote:

You are running the wrong version, nothing magical here. Its either you are
still running from a 0.18 installation, you you did not download 0.19?

I believe this problem was related to the "service" utility. Deleting
it and re-installing the service, plus completely deleting the entire
elasticsearch directory finally got it to start.

I'm still having the problem with the master refusing connection from
my remote slave. Is there any enterprise support I can pay for to fix
this problem?


(system) #4